> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.treet.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Feed 

> Endpoint that returns the latest Treet product feed as a JSON file link. The product feed is scheduled to be updated every hour and will return a new link when the product feed is updated. A fresh feed should be available at approximately 15 minutes past the hour. 

## Additional Details

### Rate Limits

This endpoint is rate-limited to 15 req/minute.
Please note that it will not return different data unless the feed has been updated.
It is advised to check for a new feed link once an hour, max.

### Product Feed Data

The JSON file holds an array of Product Data objects, as typed below:

```
 {
  productID: string;
  productURL: string;
  productTitle: string;
  productDescription: string;
  size: string;
  image: string;
  price: number;
  brand: string;
  productStock: number;
  productAvailable: boolean;
  gender?: ('Women' | 'Men' | 'Kids' | 'Unisex' | 'All')[];
  condition: string;
  isBrandDirect?: string;
  updatedAt?: string;
  color?: string;
  shopifyTags?: string[];
  shopifyProductType?: string;
  categories?: string[];
  styles?: string[];
  currency?: Currency;
  shipFromCountry?: CountryCode;
  shipToCountries?: CountryCode[];
};
```

Please note that Treet may add more attributes to the Product Data object at their discretion and without prior notice. Existing attributes will not be deprecated without proper warning & versioning.


## OpenAPI

````yaml GET /product-feed
openapi: 3.0.1
info:
  title: OpenAPI Treet Listings
  description: Treet API to manage brand store listings
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.treet-test.co
security:
  - ClientIdAuth: []
    ApiKeyAuth: []
paths:
  /product-feed:
    get:
      description: >-
        Endpoint that returns the latest Treet product feed as a JSON file link.
        The product feed is scheduled to be updated every hour and will return a
        new link when the product feed is updated. A fresh feed should be
        available at approximately 15 minutes past the hour. 
      responses:
        '200':
          description: listing response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFeedObject'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server Errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProductFeedObject:
      required:
        - url
        - version
      type: object
      properties:
        url:
          description: >-
            Contains a link to the full product feed from Treet as a JSON file.
            Please note this file expires after 24 hours.
          type: string
          example: >-
            https://ucarecdn.com/a26b7199-3356-4054-a147-536f548f4059/full-treet-product-feed-generic-1713291107739.json
        version:
          description: >-
            Denotes the version of the API. Currently, only version 1 is
            available.
          type: integer
          format: int64
          example: 1
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    ClientIdAuth:
      type: apiKey
      in: header
      name: X-Treet-Client-Id
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Treet-Authentication-Key

````